#include <iostream>

using namespace std;

int main()
{
    int n, k;
    cin >> n >> k;
    int trenutni_broj;

    int trazeni_broj = 0;
    int prvi_broj;
    cin >> prvi_broj;

    int prethodni_broj = prvi_broj;

    for (int i=1; i<n; i++){
        cin >> trenutni_broj;
        if (prethodni_broj == k){
            trazeni_broj = trenutni_broj;
        }
        prethodni_broj = trenutni_broj;
    }

    if (prethodni_broj == k){
        trazeni_broj = prvi_broj;
    }

    cout << trazeni_broj;   
    return 0;
}